Which version of AVR Studio is compatible with the ATmegaIce emulator?

Go To Last Post
5 posts / 0 new
Author
Message
#1
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

I am trying to revive an ATmegaIce emulator with a MEGAPOD POD card. The problem I am having - I cannot find the version of AVR studio that recognizes the ATmegaICE. 

What version of AVR Studio was used with the ATmegaICE?

 

 

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0


You mean one of these:  https://www.ebay.co.uk/itm/ATMEL-AVR-ICE30-ATMEGAICE-IN-CIRUIT-EMULATOR-adapters-/113894733157  ?

 

 

So that's a genuine emulator - not just an interface to talk to on-chip debug!

 

I haven't seen one of those in decades - how old is it ?!

 

gckeith wrote:
What version of AVR Studio was used with the ATmegaICE?

Wouldn't be surprised if it predates any version of AVR Studio!

Top Tips:

  1. How to properly post source code - see: https://www.avrfreaks.net/comment... - also how to properly include images/pictures
  2. "Garbage" characters on a serial terminal are (almost?) invariably due to wrong baud rate - see: https://learn.sparkfun.com/tutorials/serial-communication
  3. Wrong baud rate is usually due to not running at the speed you thought; check by blinking a LED to see if you get the speed you expected
  4. Difference between a crystal, and a crystal oscillatorhttps://www.avrfreaks.net/comment...
  5. When your question is resolved, mark the solution: https://www.avrfreaks.net/comment...
  6. Beginner's "Getting Started" tips: https://www.avrfreaks.net/comment...
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Yep, looks just like that except AVR megaICE instead of ICE30. I do no know the age, but I have had it for years. The user guide states: It is controlled by AVR Studio.

It just does not say which version. I have the Technical Libraries from 1999 to present, but I cannot find the right version. I also have an ATice10 and a ATicePro and I did manage to get them working again.

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Have you looked here and tried the earliest version?

https://www.microchip.com/mplab/...

 

Jim

 

 

(Possum Lodge oath) Quando omni flunkus, moritati.

"I thought growing old would take longer"

 

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Yes I have. I have went back as far as version 1.45.  I have tested few versions in the 2's and 3's. There is a lot of versions, so I was hoping someone could give me the magic version.